<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Duplex
| Filename: theme.php
| Author: Fangree Productions
| Developers: Fangree, Mangee
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
define("SUBNAV", false);
require_once INCLUDES."theme_functions_include.php";
require_once THEME."functions.php";
define("THEME_BULLET", "");
set_image("folder", THEME."forum/folder.png");
set_image("foldernew", THEME."forum/foldernew.png");
set_image("folderlock", THEME."forum/folderlock.png");
set_image("stickythread", THEME."forum/stickythread.png");
set_image("newthread", THEME."forum/newthread.png");
set_image("reply", THEME."forum/reply.png");
set_image("forum_edit", THEME."forum/edit.png");
set_image("quote", THEME."forum/quote.png");
set_image("pm", THEME."forum/pm.png");
set_image("web", THEME."forum/web.png");
if(function_exists('add_to_head')){
add_to_head("<script type='text/javascript' src='".THEME."menu.js'></script>");
}
function render_page($license = false) {

global $locale, $main_style, $settings, $userdata, $aidlink;
echo "<div id='fpage'><div id='opage'><div id='ipage'>
<div id='info'>\n";
if (!iMEMBER) {echo "<div class='infoend floatR'><div style='font-size:10px;color:#fff;text-weight:bold;padding:10px 10px 0'>".($settings['enable_registration'] ? "<a href='".BASEDIR."register.php' class='button'>Register</a>\n" : "");
echo "<a href='".BASEDIR."lostpassword.php' class='button'>Lost password</a></div></div>
<div class='infoend floatR'><div style='font-size:10px;color:#fff;text-weight:bold;padding:8px 10px 0'>
<form name='loginhome' method='post' action='".$action_url."'>
".$locale['global_101']." <input type='text' name='user_name' class='login' style='width:100px' />
".$locale['global_102']." <input type='password' name='user_pass' class='login' style='width:100px' />
<label><input type='checkbox' name='remember_me' value='y' /> ".$locale['global_103']." </label>
<input type='submit' name='login' value='".$locale['global_104']."' class='button' /></form></div></div>\n"; 
}else{
echo "<div class='infoend floatR'><div style='padding:10px 10px 0'>";
$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");
if ($msg_count !=0) { echo "<a href='".BASEDIR."messages.php' title='".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."' class='button'>".$locale['global_127']."</a> \n"; } 
else{
echo "<a href='".BASEDIR."messages.php' title='You have 0 new messages' class='button'>".$locale['global_127']."</a>&#32;";}
echo "<a href='".BASEDIR."edit_profile.php' title='Edit Profile' class='button'>".$locale['global_120']."</a>&#32;\n";
echo "<a href='".BASEDIR."setuser.php?logout=yes' title='Logout' class='button'>".$locale['global_124']."</a>&#32;\n";
if (iADMIN && (iUSER_RIGHTS != "" || iUSER_RIGHTS != "C")) { echo "<a href='".ADMIN."index.php".$aidlink."' title='Admin' class='button'>".$locale['global_123']."</a>\n";}
echo "</div></div>";
}
echo "
</div><div id='logo' class='floatfix'>".showbanners(" ")."</div>
<div id='navbar'>\n";
	if ( !SUBNAV ) {
echo "<div id='navi'><div class='navis'>".showsublinks(" ")."</div></div></div>\n";
}else{
echo "<div id='navi'>\n";
	echo navigation();
echo "</div></div>\n";
}
echo "<div id='cts' class='clearfix $main_style'>
".(LEFT ? "<div id='side-border-left'>".LEFT."</div>" : "")."
".(RIGHT ? "<div id='side-border-right'>".RIGHT."</div>" : "")."
<div id='main-bg'><div id='container'>".U_CENTER.CONTENT.L_CENTER."
</div></div></div>
<div id='foot'><div id='bttop'><a href='#fpage'><span>Back to top</span><span class='arrow'></span></a></div></div>
<div id='fout'><div id='fin'>
<div class='copy'><div class='floatL'>\n";if (!$license) { echo showcopyright(); }echo "</div><div class='floatR'>".stripslashes($settings['footer'])."</div></div>
<div class='copy'><div class='floatL' >A Theme Released by <a href='http://www.fangree.co.uk'>Fangree Productions</a> Designed by <a href='http://www.fangree.co.uk'>Mangee</a><br />Based on work by <a href='http://www.premiumpixels.com/'>premiumpixels</a></div><div class='floatR'>".showcounter()."</div></div>
</div></div><div id='fsp'></div></div></div></div>\n";

}
function render_comments($c_data, $c_info){
global $locale;
opentable($locale['c100']);
if (!empty($c_data)){
echo "<div class='comments floatfix'>\n";
$c_makepagenav = '';
if ($c_info['c_makepagenav'] !== false) { 
echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
}
foreach($c_data as $data) {
echo "<div class='tbl2'>\n";
if ($data['edit_dell'] !== false) { 
echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
}
echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |
<span class='comment-name'>".$data['comment_name']."</span>
<span class='small'>".$data['comment_datestamp']."</span>
</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
}
echo $c_makepagenav;
if ($c_info['admin_link'] !== false) {
echo "<div style='float:right;margin-bottom:5px' class='comment_admin'>".$c_info['admin_link']."</div>\n";
}
echo "</div>\n";} else {echo $locale['c101']."\n";}
	closetable();   
}
function render_news($subject, $news, $info) {
global $locale;
opentable($subject);
echo "<div class='floatfix'>".$info['cat_image'].$news."</div>
<div class='news-footer'>
	".newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."
</div>\n";
closetable();
}
function render_article($subject, $article, $info) {
global $locale;
opentable($subject);
echo "<div class='floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>
<div class='news-footer'>
	".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."
</div>\n";
closetable();
}
function opentable($title) {
echo"<div class='tt'>".$title."</div>
<div class='tbody'>\n";
}
function closetable() {
echo "</div>\n";
}
$panel_collapse = true;
function openside($title, $collapse = false, $state = "on") {
static $box_id = 0; $box_id++;
global $p_data, $panel_collapse; $panel_collapse = $collapse;
echo "<div class='panel'>
<div class='st'>".($collapse ? panelbutton($state,$box_id) : "")."$title</div>
<div class='sbody'>".($collapse ? panelstate($state, $box_id) : "");
}
function closeside() {
global $panel_collapse;
echo ($panel_collapse ? "</div>" : "")."</div></div>\n";
}
?>